Package org.kapott.hbci.rewrite

# Class RSigIdLeadingZero

java.lang.Object
org.kapott.hbci.rewrite.Rewrite
org.kapott.hbci.rewrite.RSigIdLeadingZero

public class RSigIdLeadingZero extends Rewrite

## Constructor Summary

Constructors
Constructor
Description
`RSigIdLeadingZero()`

## Method Summary

Modifier and Type
Method
Description
`String`
`incomingClearText(String st, MsgGen gen)`

### Methods inherited from class org.kapott.hbci.rewrite.Rewrite

`getData, incomingCrypted, incomingData, outgoingClearText, outgoingCrypted, outgoingSigned, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSigIdLeadingZero

public RSigIdLeadingZero()

## Method Details

### incomingClearText

public String incomingClearText(String st, MsgGen gen)

Overrides:
  `incomingClearText` in class `Rewrite`